<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta name="format-detection" content="telephone=no" />
<!--<meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />-->
<link rel="stylesheet" type="text/css" href="css/index.css" />
<link rel="stylesheet" href="css/jquery.mobile-1.3.2.min.css" />
<link rel="stylesheet" href="img/font-awesome/css/font-awesome.min.css">
<script src="css/jquery-1.10.1.min.js"></script>
<script src="css/jquery.mobile-1.3.2.min.js"></script>
<title>Share A Talent</title>
</head>
    <body>
    
<!-- ******** Activate ACCOUNT ******** -->
<!-- PAGE -->
<div data-role="page" id="activate-account">

<!-- HEADER -->
<div id="header" data-role="header" data-position="fixed">
	<div id="header-line" style="background-color:#4fa1ca; width:100%;height:10px;"></div>
</div>
<!-- /header -->

<!-- CONTENT -->
    <div data-role="content"  id="create-account-page" style="position:relative;top:20px;">		
	<div id="login-form">
	<h2>Activate Account</h2>
    <div id="activate-type-undefined" style="display:none;">
    <p>Type undefined</p>
    </div>    
    <div id="activate-type-null" style="display:none;">
    <p>Type null</p>
    </div>
    <div id="activate-type-0" style="display:none;">
    <p id="activation-code-message">Enter the Activation Code from the SMS Message you received</p>
    <label for="activation-code">Activation Code: </label>
    <input id="activation-code" type="text" />
    <button id="send-sms-activation">Activate!</button>
    <hr />
    <h3>Resend Activation</h3>
    <p>Didn't get your activation code or it seems to be taking way too long?</p>
    <div id="resendSMSMessage"></div>
    <button type="button" id="resend_activate_button">Resend to my phone!</button>
    <hr />
    <button type="button" id="active_by_email">Activate without a Phone</button>
    <hr />
    </div><!-- type 0 -->
    <div id="activate-type-2" style="display:none;">
    <h3>Activate by Email</h3>
    <p>Enter the activation code you received via email (it may take a moment to go through).</p>
    <div id="activation_message" style="display:none;"></div>
    <form id="active-by-email-form">
    <input type="hidden" id="user_id" name="user_id" value="<?php echo $user_id; ?>" />
    <label for="activation_code">Paste the Activation Code:</label> <br />
    <input type="text" name="activation_code" id="activation_code" tabindex="1" /><br />
    <label for="security_answer">What's the answer to your security question (hint: 1-2 digit number): </label><br />
    <input tabindex="2" type="text" name="security_answer" id="security_answer" /><br />
    <button type="button" id="activate_button" tabindex="3">Activate!</button>
    </form>
    <hr />
    <h3>Resend Activation Email</h3>
    <p>Didn't get your activation code or it seems to be taking way too long?</p>
    <div id="resend-message" style="display:none;"></div>
    <input type="hidden" name="user_email" id="user_email" value="<?php echo $email; ?>" />
    <input type="hidden" name="user_id_resend" id="user_id_resend" value="<?php echo $user_id; ?>" />
    <button type="button" id="resend_activate_button_email">Resend to my email!</button>
    <hr />
    <button type="button" id="activate_via_sms" onClick="sendBySMSInstead()">Activate by SMS</button>
    <div id="new-phone-info" style="display:none;">
	<label for="new-phone-info-country">Phone country: </label><br />
		<select id="new-phone-info-country" name="newPhoneCountry">
		<option selected value="0">-- Phone's Country Code --</option>
        <option value="India">+91 - India</option>
        <option value="Germany">+49 - Germany</option>
		<option value="United States">+1 - United States</option>
    </select>
        <input id="newPhone" type="tel" name="phone" tabindex="6" /><br />  
        <button type="button" id="send_code_via_sms" onClick="sendTheCodeSMS()">Send Code to Phone</button>
    </div>
    <hr />
    </div>
    <div id="activate-page-update-email-wrapper">
    	<button id="activate-page-update-email" onClick="jQuery('#change-email').toggle()">Change Email</button>
        <div id="change-email" style="display:none;">
            <div id="change-email-message">
            	<p>Did you create your account with the wrong email? No problem! Just enter your updated email below.</p>
            </div>            
            <input type="text" id="change-email-to" placeholder="new@email.com" />
            <button type="button" id="update-email-button" onClick="sendUpdatedEmail()">Update</button>
        </div>
    </div>
    <div id="activate-page-logout-wrapper">
    	<button id="activate-page-logout">Logout</button>
    </div>
    
    </div><!-- login-form -->
    <script>
	function sendTheCodeSMS(){
		
			var country = encodeURIComponent(jQuery("#new-phone-info-country :selected").val());
			var phone 	= jQuery("#newPhone").val();
			var userID 		= window.localStorage.getItem("satUserID");			
			var sendNewSMSActivationURL = 'http://www.shareatalent.com/api/smsResendActivate_switch.php?user_id='+userID+'&phone='+phone+'&country='+country;	
			console.log(sendNewSMSActivationURL);
			jQuery.getJSON(sendNewSMSActivationURL,function(d){
				if(d.status == 'ok'){
					jQuery("#activate-type-2").toggle();
					jQuery("#activate-type-0").toggle();
					}// if
				})//getJSON
			
		}
	function sendBySMSInstead(){jQuery("#new-phone-info").toggle()}
	function sendUpdatedEmail(){
		jQuery("#change-email-message").html('<p style="color:red">Updating...</p>');
		var newEmail	= jQuery("#change-email-to").val();
		var oldEmail 	= window.localStorage.getItem("satUserEmail");
		var userID 		= window.localStorage.getItem("satUserID");
		var updateEmailURL = 'http://www.shareatalent.com/api/update_email_during_activation.php?user_id='+userID+'&new='+newEmail+'&old='+oldEmail;
		console.log(updateEmailURL);
		jQuery.getJSON(updateEmailURL,function(d){
			console.log(d);
			if(d.status == 'ok'){
				jQuery("#change-email-message").html('<p style="color:red">Email updated! Click "Resend to my email" above to have your activation code sent to your updated email address.</p>');
				window.localStorage.setItem("satUserEmail",newEmail);
			} else {jQuery("#change-email-message").html('<p style="color:red">Something went wrong... Check your email formatting and try again or let us know about this via the desktop site.</p>');}
			});
		}
	</script>
    <!-- /content -->
        
    <!-- FOOTER -->
    <div id="footer" data-role="footer" style="display:none;">
        <div id="footer-talents"></div>
    </div> 
    <!-- /footer -->               

</div> 
<!-- /page -->
<script>

</script>

<script type="text/javascript" src="js/consolelogger.js"></script>
<script type="text/javascript" src="js/activate-account.js"></script>
<script type="text/javascript" src="js/logout-button.js"></script>
</body>
</html>
